# 分页组件
> v0.0.1

## 概述

## 基本使用

```
<v-page :total="personTotal" :page="searchForm.pageNumber" @change="personChange"></v-page>
```

## api

### props

其他属性和 Element 的 el-pagination的属性相同

| 属性        | 说明                         | 类型    | 默认值                                            |
| ----------- | ---------------------------- | ------- | ------------------------------------------------- |
| auto-scroll | 分页之后是否自动滚动到顶部   | Boolean | true                                              |
| layout      | 绑定是否展示                 | Boolean | false                                             |
| limit       | 每页条数                     | Number  | 框架配置 config.pageSize                          |
| page        | 当前页码                     | Number  | 1                                                 |
| total       | 组件布局，子组件名用逗号分隔 | String  | sizes, prev, pager, next, jumper, ->, total, slot |


### events
| 事件名 | 说明           | 返回值 | 备注                         |
| ------ | -------------- | ------ | ---------------------------- |
| change | 页数、页码改变 |        | page(当前页码),limit(每页条数) |

### methods

---
