# 表单标签组件
> v1.0

## 概述
该组件可以很好地解决表单标签名称过长看不全的问题，既可以开启鼠标移入显示 tooltip，还隐藏了鼠标点击标签后标签展开显示的彩蛋，再次点击则收起。


## 基本使用
```
<el-form>
	<el-form-item>
		<v-label slot="label" label="500米内的公交站个数"></v-label>
		<el-input v-model="bus_count"></el-input>
	</el-form-item>
</el-form>
```

### props
| 属性          | 说明                                  | 类型     | 默认值  |
| ------------ | ------------------------------------- | ------- | ------ |
| label        | label 的名称。同 el-form 的 label       | String  |        |
| tooltip      | 是否开启鼠标移入提示                     | Boolean  | true  |

### events

### methods

---
