# 表格列组件 v-table-column
> v0.0.1

## 概述
封装了以element-ui的el-table-column

## 基本使用

```
<v-table-column prop="name" label="姓名"></v-table-column>
```

## api

### props
| 属性          | 说明                               | 类型             | 默认值  |
| ------------ | ---------------------------------- | --------------- | ------ |
| size         | 中文字个数                           | Number, String  |       |
| showOverflow | 'ellipsis','tooltip','none'，前两个参考可参考 vxe-table，最后一个即是即不用省略号显示，也不溢出显示提示框| String       | 默认'ellipsis'，但当该列为操作列时，默认值为'none' |
| 其余属性->    | 请看下方->                | tips~           | thanks |

### events

### methods

### tips
- width
	- 宽度设置的公式为  `width = size * 12 + 20;`  其中，`size` 为中文字数，`12` 是每个字的默认字体大小，`20` 为左右 padding 的和
	- 当该列为一下几种情况时，会设置默认宽度：
		1. selection：`34px`
		2. 操作：`84px`（即2个操作按钮，修改、删除的宽度）
		3. 时间：`135px`（带日期 + 时间）
		4. 日期：`85px`
- align
	- 当该列为操作、时间、日期、selection 时，默认为 `center`
- className
	- 操作菜单会默认加类名  `class: 'v-table-column-oper'`
- showOverflowTooltip
	- 非 selection 的列，默认该属性值为 `true`
- fixed
	- 若该列为操作菜单，默认设置为 `right`，若为 selection，默认设置为 `left`

---
