export default {
    name: 'TableExpand',
    functional: true,
    props: {
        row: Object,
        index: Number,
        column: {
            type: Object,
            default: null
        },
        render: Function
    },
    render: (createElement, context) => {
        const params = {
            row: context.props.row,
            index: context.props.index
        };
        if (context.props.column) params.column = context.props.column;
        return context.props.render(createElement, params);
    }
};
